Internal::hashtable_iterator_base(3)

NAME
Internal::hashtable_iterator_base -

SYNOPSIS

Inherited by hashtable_const_iterator, and hashtable_iterator.

Detailed Description

  template<typename Value, bool cache> struct Internal::hashtable_iterator_base< Value, cache >

Definition at line 249 of file hashtable.

  Public Member Functions
hashtable_iterator_base (hash_node< Value, cache > *node, hash_node< Value, cache > **bucket)
void incr ()
void m_incr_bucket ()

  Public Attributes
hash_node< Value, cache > ** m_cur_bucket
hash_node< Value, cache > * m_cur_node

Author

Generated automatically by Doxygen for libstdc++ from the source code.